summaryrefslogtreecommitdiffstats
path: root/meta/recipes-gnome/gdk-pixbuf
Commit message (Collapse)AuthorAgeFilesLines
* Convert to use direct access to the data store (instead of bb.data.*Var*())Richard Purdie2011-11-101-1/+1
| | | | | | | | | | | | | | | | | This is the result of running the following over the metadata: sed \ -e 's:bb.data.\(setVar([^,()]*,[^,()]*\), *\([^ )]*\) *):\2.\1):g' \ -e 's:bb.data.\(setVarFlag([^,()]*,[^,()]*,[^,()]*\), *\([^) ]*\) *):\2.\1):g' \ -e 's:bb.data.\(getVar([^,()]*\), *\([^(), ]*\) *,\([^)]*\)):\2.\1,\3):g' \ -e 's:bb.data.\(getVarFlag([^,()]*,[^,()]*\), *\([^(), ]*\) *,\([^)]*\)):\2.\1,\3):g' \ -e 's:bb.data.\(getVarFlag([^,()]*,[^,()]*\), *\([^() ]*\) *):\2.\1):g' \ -e 's:bb.data.\(getVar([^,()]*\), *\([^) ]*\) *):\2.\1):g' \ -i `grep -ril bb.data *` (From OE-Core rev: b22831fd63164c4db9c0b72934d7d734a6585251) Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gdk-pixbuf: upgrade to 2.24.6Martin Jansa2011-10-103-4/+3
| | | | | | | | | * older version doesn't build with glib-2.30.0 (From OE-Core rev: 169a524d86ee0647b9ecf8b9a70c750df6582a1a) Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* recipes: Delete patch=1, its default and replace pnum with striplevelKhem Raj2011-08-241-2/+2
| | | | | | | | | | Some place pnum=1 is used which is removed as well since striplevel=1 is default (From OE-Core rev: 4e108857e0d40105f7ecbc55e99bd6c367bb7386) Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gdk-pixbuf(-native): Fix build by disabling introspectionAndreas Mueller2011-07-201-1/+2
| | | | | | | | | | | | | | Error message was: | /home/Superandy/tmp/oe-core-eglibc/sysroots/x86_64-linux/usr/bin/g-ir-compiler --includedir=. GdkPixbuf-2.0.gir -o GdkPixbuf-2.0.typelib | /usr/share/gir-1.0/GLib-2.0.gir:9:1: error: Unsupported version '1.1' | /usr/share/gir-1.0/GLib-2.0.gir:9:39: error: Unsupported version '1.1' | error parsing file GdkPixbuf-2.0.gir: Failed to parse included gir GLib-2.0 | make[4]: *** [GdkPixbuf-2.0.typelib] Error 1 (From OE-Core rev: ed40a1c776ba3d59f03250b2eb9cfae9b8afadd5) Signed-off-by: Andreas Mueller <schnitzeltony@gmx.de> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gdk-pixbuf: Fix QA issues and clean minor formattingAndreas Mueller2011-07-191-2/+5
| | | | | | | | | | | | | | | | | | | | | | | | QA warnings fixed: WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-wbmp.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xbm.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ras.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-tga.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-bmp.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ani.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-pnm.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-icns.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-pcx.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ico.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-gif.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-qtif.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.la WARNING: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-jpeg.la (From OE-Core rev: 9d39ee7a8560005efd35dd7df7710ac30dd6d50c) Signed-off-by: Andreas Mueller <schnitzeltony@gmx.de> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Drop PRIORITY variableRichard Purdie2011-07-011-1/+0
| | | | | | | | | | | | | | | | As discussed on the mailing list, this variable isn't useful and if wanted would be better implemented by distros using pn-X overrides. This patch executes: find . -regex ".*\.\(bb\|inc\)$" | xargs sed -i '/^PRIORITY = ".*"$/d' against the tree removing the referenced. Thanks to Phil Blundell for the command. (From OE-Core rev: d122343362669c683acc4af295971a62cbc823fc) Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* recipes: Add Upstream-Status to multiple recipesZhai Edwin2011-05-132-0/+4
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | gtk+: Add Upstream-Status ed: Add Upstream-Status gnome-common: Add Upstream-Status libmatchbox: Add Upstream-Status matchbox-wm: Add Upstream-Status x11vnc: Add Upstream-Status xtscal: Add Upstream-Status eds-dbus: Add Upstream-Status matchbox-desktop: Add Upstream-Status matchbox-keyboard: Add Upstream-Status matchbox-stroke: Add Upstream-Status matchbox-theme-sato: Add Upstream-Status owl-video-widget: Add Upstream-Status beecrypt: Add Upstream-Status gnome-icon-theme: Add Upstream-Status tslib: Add Upstream-Status libowl-av: Add Upstream-Status sato-icon-theme: Add Upstream-Status web-webkit: Add Upstream-Status metacity: Add Upstream-Status apr: Add Upstream-Status gdk-pixbuf: Add Upstream-Status pcmanfm: Add Upstream-Status gpgme: Add Upstream-Status eee-acpi-scripts: Add Upstream-Status libgalago: Add Upstream-Status python-pygtk: Add Upstream-Status gnome-mime-data: Add Upstream-Status clutter: Add Upstream-Status clutter-gtk: Add Upstream-Status tidy: Add Upstream-Status mutter: Add Upstream-Status xcursor-transparent-theme: Add Upstream-Status leafpad: Add Upstream-Status matchbox-config-gtk: Add Upstream-Status contacts: Add Upstream-Status dates: Add Upstream-Status web: Add Upstream-Status webkit: Add Upstream-Status - Also removed empty fix_im.patch apr-util: Add Upstream-Status libcroco: Add Upstream-Status liboil: Add Upstream-Status libxslt: Add Upstream-Status libglade: Add Upstream-Status gnome-terminal: Add Upstream-Status xev: Add Upstream-Status claws-mail: Add Upstream-Status clipboard-manager: Add Upstream-Status epdfview: Add Upstream-Status kf: Add Upstream-Status qemu: Add Upstream-Status clutter-gst: Add Upstream-Status table: Add Upstream-Status matchbox-panel-2: Add Upstream-Status (From OE-Core rev: 10bdb737c2c4c6996fd035849109a1e07580a6b9) Signed-off-by: Zhai Edwin <edwin.zhai@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gdk-pixbuf_2.22.1.bb: inherit gettext class instead of adding gettext to ↵Khem Raj2011-04-041-2/+2
| | | | | | | | | DEPENDS directly (From OE-Core rev: 9081339cf588d29e31599ba05d1aad1c8c81af30) Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gdk-pixbuf: Fix the native png load error and remove duplicated recipeZhai Edwin2011-02-013-45/+35
| | | | | | | | | | | | | Native gdk-pixbuf-csource failed to load png file as the "loaders.cache" was not properly set by gdk-pxibuf-query-loaders when install. This patch use the wrapper script rather than query-loaders binary as required libtool library was not installed when do_install_append. Also remove dedicated recipe for gdk-pixbuf-native. [sgw: Added PACKAGES_DYMAMIC_virtclass-native] Signed-off-by: Zhai Edwin <edwin.zhai@intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gdk-pixbuf: add jpeg into DEPENDSDexuan Cui2011-02-011-0/+2
| | | | | | | | | | | | | This fixes the following error: | checking for jpeg_destroy_decompress in -ljpeg... no | configure: WARNING: *** JPEG loader will not be built (JPEG library not found) *** | configure: error: | *** Checks for JPEG loader failed. You can build without it by passing | *** --without-libjpeg to configure but some programs using GTK+ may | *** not work properly | FATAL: oe_runconf failed Signed-off-by: Dexuan Cui <dexuan.cui@intel.com>
* gdk-pixbuf-native: add jpeg-native as a dependencySaul Wold2011-01-201-1/+1
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gdk-pixbuf: Add 2.22.1 as new recipeZhai Edwin2011-01-205-0/+128
Updating gtk+ to 2.23.2 requires gdk-pixbuf, which is originaly a module in gtk+. Borrow hardcoded_libtool.patch from original gtk+, and add configure_fix.patch to fix build failure in cross-compile environment. As gdk-pixbuf is a stand-alone package now, gdk-pixbuf-csource-native can be safely removed. So extend gdk-pixbuf with native support, and make related packages depend on it. Signed-off-by: Zhai Edwin <edwin.zhai@intel.com>